# -*- coding: utf-8 -*-

"""Funkload benchmark for the Widget engine test application."""

import unittest

from funkload.FunkLoadTestCase import FunkLoadTestCase


class Bench(FunkLoadTestCase):
    """This test use a configuration file Bench.conf."""

    def setUp(self):
        self.logd("setUp")
        self.server_url = self.conf_get('main', 'url')

    def test_engines(self):
        server_url = self.server_url
        nb_time = self.conf_getInt('test_engines', 'nb_time')
        pages = self.conf_getList('test_engines', 'pages')
        for i in range(nb_time):
            self.logd('Try %i' % i)
            for page in pages:
                self.get(server_url + page, description='Get %s' % page)

    def test_genshi_genshi(self):
        url = self.server_url
        url += 'forms_genshi_genshi'
        self.get(url, description='Genshi forms on a Genshi page')

    def test_genshi_kid(self):
        url = self.server_url
        url += 'forms_genshi_kid'
        self.get(url, description='Genshi forms on a Kid page')

    def test_kid_genshi(self):
        url = self.server_url
        url += 'forms_kid_genshi'
        self.get(url, description='Kid forms on a Genshi page')

    def test_kid_kid(self):
        url = self.server_url
        url += 'forms_kid_kid'
        self.get(url, description='Kid forms on a Kid page')

    def test_mixed_1_genshi(self):
        url = self.server_url
        url += 'forms_mixed_1_genshi'
        self.get(url, description='Mixed forms 1 on a Genshi page')

    def test_mixed_1_kid(self):
        url = self.server_url
        url += 'forms_mixed_1_kid'
        self.get(url, description='Mixed forms 1 on a Kid page')

    def test_mixed_2_genshi(self):
        url = self.server_url
        url += 'forms_mixed_2_genshi'
        self.get(url, description='Mixed forms 2 on a Genshi page')

    def test_mixed_2_kid(self):
        url = self.server_url
        url += 'forms_mixed_2_kid'
        self.get(url, description='Mixed forms 2 on a Kid page')

    def tearDown(self):
        self.logd("tearDown.\n")


if __name__ in ('main', '__main__'):
    unittest.main()
