<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?python import sitetemplate ?>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
    py:extends="sitetemplate">

<head py:match="item.tag=='{http://www.w3.org/1999/xhtml}head'" py:attrs="item.items()">
    <meta content="text/html; charset=utf-8" http-equiv="content-type" py:replace="''"/>
    <title py:replace="''">Your title goes here</title>
    <meta py:replace="item[:]" name="description" content="master template"/>
    <link rel="stylesheet" type="text/css" media="screen" href="../static/css/style.css"
        py:attrs="href=tg.url('/static/css/style.css')"/>
</head>

<body py:match="item.tag=='{http://www.w3.org/1999/xhtml}body'" py:attrs="item.items()">

    <?python
      # define mock menus as list of (title, url, is_active) tuples
      menu_top = [
        ('Welcome','/',True),
        ('Model','/#model', False),
        ('View','/#view', False),
        ('Controller','/#controller', False),
        ('Result','/result', False),
        ('Contact','http://docs.turbogears.org/GettingHelp', False)
      ]
      menu_side = [
        ('Official Website', 'http://www.turbogears.org'),
        ('Documentation', 'http://docs.turbogears.org'),
        ('Bugs & Suggestions', 'http://trac.turbogears.org'),
        ('Mailing List', 'http://groups.google.com/group/turbogears'),
      ]
    ?>

  <div py:for="js in tg_js_bodytop" py:replace="js.display()" />

  <div id="header">
    <h1>
      Welcome to TurboGears
      <span class="subtitle">The Python web metaframework</span>
    </h1>
  </div>

  <ul id="mainmenu">
    <li py:for="num, (title, url, is_active) in enumerate(menu_top)" class="${('', 'first')[not num]}">
      <a href="${url}" class="${('', 'active')[is_active]}" py:content="title"></a>
    </li>
    <li py:if="tg.config('identity.on') and not defined('logging_in')" class="loginlogout">
      <span py:if="tg.identity.anonymous" py:strip="True">
        <a href="${tg.url(tg.identity.login_url)}" class="loginlogout">Login</a>
      </span>
      <span py:if="not tg.identity.anonymous" py:strip="True">
        <span>Welcome <span py:replace="tg.identity.user.display_name or tg.identity.user.user_name">user</span></span>
        <a href="${tg.url('/logout')}" class="loginlogout">Logout</a>
      </span>
    </li>
  </ul>
  <div id="content">

    <p>This is the Kid master template.</p>

    <div id="flash" class="notice" py:if="value_of('tg_flash', None)" py:content="tg_flash"></div>

    <div id="sb_top" class="sidebar">
        <h2>Learn More</h2>
        <p>Want to learn more about TurboGears and
                    take part in its development?</p>
        <ul class="links">
          <li py:for="title, url in menu_side"><a py:attrs="dict(href=url)" py:content="title"></a></li>
        </ul>
    </div>

    <div id="sb_bottom" class="sidebar">
        <h2>Successful Quickstart!</h2>
        <p>If you can read this page it means you have successfully quickstarted your
                TurboGears application. Thank you for choosing TurboGears.</p>
    </div>

    <div py:replace="[item.text]+item[:]"/>

    <div id="footer">
      <div class="flogo">
        <a href="http://www.turbogears.org/" title="Powered by TurboGears"
          ><img src="${tg.url('/static/images/under_the_hood_blue.png')}"
          alt="TurboGears under the hood" border="0" /></a>
      </div>
      <div class="foottext">
        <p>TurboGears is a open source front-to-back web development
          framework written in Python. Copyright (c) 2005-2009 </p>
      </div>
    </div>
  </div>

  <div py:for="js in tg_js_bodybottom" py:replace="js.display()" />

</body>

</html>
