# -*- coding: utf-8 -*-

"""Funkload tests for the Widget engine test application."""

import unittest

from funkload.FunkLoadTestCase import FunkLoadTestCase


class LoadTest(FunkLoadTestCase):

    def get_engines(self, engine1, engine2):
        return self.get('http://localhost:8080/forms_%s_%s'
            % (engine1, engine2)).body

    def test_genshi_genshi(self):
        """Display Genshi forms on a Genshi page."""
        ret = self.get_engines('genshi', 'genshi')
        assert 'Genshi page template' in ret
        assert 'Genshi form' in ret
        assert 'Genshi Fieldset' in ret
        assert 'Genshi Textfield' in ret

    def test_genshi_kid(self):
        """Display Genshi forms on a Kid page."""
        ret = self.get_engines('genshi', 'kid')
        assert 'Kid page template' in ret
        assert 'Genshi form' in ret
        assert 'Genshi Fieldset' in ret
        assert 'Genshi Textfield' in ret

    def test_kid_genshi(self):
        """Display Kid forms on a Genshi page."""
        ret = self.get_engines('kid', 'genshi')
        assert 'Genshi page template' in ret
        assert 'Kid form' in ret
        assert 'Kid Fieldset' in ret
        assert 'Kid Textfield' in ret

    def test_kid_kid(self):
        """Display Kid  forms on a Kid page."""
        ret = self.get_engines('kid', 'kid')
        assert 'Kid page template' in ret
        assert 'Kid form' in ret
        assert 'Kid Fieldset' in ret
        assert 'Kid Textfield' in ret

    def test_mixed_1_genshi(self):
        """Display mixed forms 1 on a Genshi page."""
        ret = self.get_engines('mixed_1', 'genshi')
        assert 'Genshi page template' in ret
        assert 'Genshi form' in ret
        assert 'Kid Fieldset' in ret
        assert 'Genshi Textfield' in ret

    def test_mixed_1_kid(self):
        """Display mixed forms 1 on a Kid page."""
        ret = self.get_engines('mixed_1', 'kid')
        assert 'Kid page template' in ret
        assert 'Genshi form' in ret
        assert 'Kid Fieldset' in ret
        assert 'Genshi Textfield' in ret

    def test_mixed_2_genshi(self):
        """Display mixed forms 2 on a Genshi page."""
        ret = self.get_engines('mixed_2', 'genshi')
        assert 'Genshi page template' in ret
        assert 'Kid form' in ret
        assert 'Genshi Fieldset' in ret
        assert 'Kid Textfield' in ret

    def test_mixed_2_kid(self):
        """Display mixed forms 2 on a Kid page."""
        ret = self.get_engines('mixed_2', 'kid')
        assert 'Kid page template' in ret
        assert 'Kid form' in ret
        assert 'Genshi Fieldset' in ret
        assert 'Kid Textfield' in ret


if __name__ in ('main', '__main__'):
    unittest.main()
